\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{dmd2024}

%-------------------- This is based on the article class ----------------

%\PassOptionsToClass{twocolumn}{article}
\PassOptionsToClass{a4paper,11pt,twoside}{article}

\LoadClass{article}
\RequirePackage{fancyhdr}

%------------------------------------------------------------------------

\setlength{\textheight}{9.50in} \setlength{\textwidth}{6.75in}
\setlength{\topmargin}{-0.40in}
%\setlength{\oddsidemargin}{-0.125in}
%\setlength{\evensidemargin}{-0.375in}
\setlength{\oddsidemargin}{-0.25in}
\setlength{\evensidemargin}{-0.25in}
\setlength{\columnsep}{2pc}
\setlength{\headheight}{0.200in} \setlength{\headsep}{0.4in}
\setlength{\footskip}{0.450in} \setlength{\parindent}{1em}
\flushbottom

\newcommand{\@titlestyle}{\normalsize\bf}

\let\ps@plain\ps@fancy

\renewcommand{\@maketitle}{%
 \newpage
 \null
 \vskip 2em%
 \begin{center}%
   \let \footnote \thanks
   {\vspace{-.2in}\Large\sffamily\bfseries \@title \par}%
   \vskip 1.5em%
   {\normalsize
     \lineskip .5em%
     \begin{tabular}[t]{c}%
       \@author
     \end{tabular}\par}%
   \vskip 1em%
   {\large \@date}%
 \end{center}%
 \par
 \vskip 3em}

\renewenvironment{theindex}
              {\if@twocolumn
                 \@restonecolfalse
               \else
                 \@restonecoltrue
               \fi
               \columnseprule \z@
               \columnsep 35\p@
               \twocolumn[\section*{\indexname}]%
               \@mkboth{\MakeUppercase\indexname}%
                       {\MakeUppercase\indexname}%
               \thispagestyle{fancy}\parindent\z@
               \parskip\z@ \@plus .3\p@\relax
               \let\item\@idxitem}
              {\if@restonecol\onecolumn\else\clearpage\fi}

\renewcommand\section{\@startsection {section}{1}{\z@}{-3.5ex plus
   -1ex minus -.2ex}{2.3ex plus .2ex}{\@titlestyle}}
\renewcommand\subsection{\@startsection{subsection}{2}{\z@}{-3.25ex
   plus -1ex minus -.2ex}{1.5ex plus .2ex}{\@titlestyle}}
\renewcommand\subsubsection{\@startsection{subsubsection}{3}{\z@}{-3.25ex
   plus -1ex minus -.2ex}{1.5ex plus .2ex}{\@titlestyle}}
\renewcommand\paragraph{\@startsection {paragraph}{4}{\z@}{3.25ex plus
   1ex minus .2ex}{-1em}{\@titlestyle}}
\renewcommand\subparagraph{\@startsection
 {subparagraph}{4}{\parindent}{3.25ex plus 1ex minus
   .2ex}{-1em}{\@titlestyle}}

\renewcommand\abstract{\if@twocolumn
\section*{Abstract}
\else \small
\begin{center}
{\sffamily\bfseries Abstract\vspace{-.5em}\vspace{0pt}}
\end{center}
\quotation \fi}

\def\endabstract{\if@twocolumn\else\endquotation\fi}

\date{}

% Allow most of a page to be occupied by floats
\renewcommand{\textfraction}{0.05}
\renewcommand{\bottomfraction}{0.95}
\renewcommand{\topfraction}{0.95}
\renewcommand{\dbltopfraction}{0.95}
\renewcommand{\dblfloatpagefraction}{0.8}
\setcounter{topnumber}{3}
\setcounter{totalnumber}{4}



%--------------------------- Headers and Footers ------------------------


\pagestyle{fancy}
\fancyhead{}
\fancyfoot{}
%\fancyhead[RO]{\sf EuroCG 2011, Morschach, Switzerland, March 28--30, 2011}
%\fancyhead[LE]{\sf 27th European Workshop on Computational Geometry, 2011}
\fancyhead[RO]{\sf Discrete Mathematics Days, Alcal\'a de Henares, July 3-5, 2024}
\fancyhead[LE]{\sf Discrete Mathematics Days, Alcal\'a de Henares, July 3-5, 2024}
\renewcommand{\headrulewidth}{1pt}

\endinput
